`<altGrp>` | (alternation group) groups a collection of `<alt>` elements and possibly pointers.
Attributes: |
`mode` | states whether the alternations gathered in this collection are exclusive or inclusive.
| Datatype: (excl|incl)
| Legal values: |
`excl` | indicates that the alternation is exclusive, i.e. that at most one of the alternatives occurs.
`incl` | indicates that the alternation is not exclusive, i.e. that one or more of the alternatives occur.
| Default: excl
`wScale` | indicates the scale used to express the value of the `weights` attribute value.
| Datatype: (perc|real)
| Legal values: |
`perc` | indicates that the weights are expressed as percentages.
`real` | indicates that the weights are expressed as values between 0 and 1.
| Default: perc

Example

    <altGrp mode=excl>
      <alt targType='seg seg' targets='dm lt bb' weights='50 25 25'>
      <alt targType='l l' targets='rl db' weights='50 50'>
    </altGrp>

Example

    <altGrp mode=incl wscale=perc targType='seg l'>
      <alt targets='dm rl' weights='90 90'>
      <alt targets='lt rl' weights='5 5'>
      <alt targets='bb rl' weights='5 5'>
      <alt targets='dm db' weights='10 10'>
      <alt targets='lt db' weights='45 90'>
      <alt targets='bb db' weights='45 90'>
    </altGrp>

Tagset additional tag set for
Class metadata, pointerGroup [and indirectly also:] globincl, pointer
Filename `teilink2.dtd`
Content: Any number of alternations, pointers or extended pointers.
Parents[none]
Children alt ptr xptr
Declaration

    <!ELEMENT altGrp        - -  ((alt | ptr | xptr)*)              >
    <!ATTLIST altGrp             %a.global
                                 %a.pointerGroup
              mode               (excl | incl)       excl
              wScale             (perc | real)       perc           >

See 14.8

Back to index